Skip to main content
WEBHOOK

Authorizations

Authorization
string
header
required

Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account → API keys) and are scoped to one organization.

Body

application/json

Details that are sent over to the webhook

A payload structure for webhook events triggered by specific field updates in Upwell resources, detailing the affected resource, tenant, operation type, and resource state.

id
string

The unique identifier for the event.

trigger
string

The trigger string for this event (e.g. update.carrier_invoice.status.APPROVED). Branch on this — see the webhook event catalog.

createdAt
string<date-time>

The timestamp when the event was created.

updatedAt
string<date-time>

The timestamp when the event was last updated.

scheduledAt
string<date-time> | null

The timestamp when the event is scheduled to be processed.

processedAt
string<date-time> | null

The timestamp when the event was processed.

status
string

The status of the event (e.g., PENDING).

operation
string

The operation type that triggered the event. Format for specific field updates is UPDATE.<field>.<value>, where <field> is the updated field, and <value> is the new value, e.g., UPDATE.status.SENT or UPDATE.carrier_invoice.APPROVED.

payload
object

Data regarding the state of the resource involved in the event.

table
string

The type of resource in the Upwell application where the event occurred.

resourceId
string

The unique identifier for the resource affected by the event.

webhookSubscriptionId
string

The unique identifier for the webhook subscription.

retryOfId
string | null

The ID of the event being retried, if applicable.

retries
object[]

An array of retry attempts for the event.

Response

200

Return a 200 status to indicate that the data was received successfully